Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id} \ --header 'X-API-Key: <api-key>'
import requestsurl = "https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}"headers = {"X-API-Key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};fetch('https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "<string>", "name": "<string>", "status": "<string>", "object": "agent", "display_name": "<string>", "prompt_template_id": "<string>", "prompt_template_name": "<string>", "tools": [], "sources": [], "icon": "<string>", "custom_icon_id": "<string>", "is_background_agent": false, "can_be_used_as_tool": false, "ui_selectable": true, "order": 123, "pinned_documents": [], "number_docs_to_retrieve": 8, "number_docs_to_display": 8, "custom_llm_id": "<string>", "custom_llm_temperature": 123, "custom_llm_top_p": 123, "reranker_activated": false, "ignore_sources_restrictions": false, "is_router_agent": false, "default_router_agent_id": "<string>", "reasoning_iterations": 1, "tool_description": "<string>", "share_conversation_context": false, "max_call_depth": 5, "satisfaction_feedback_activated": false, "satisfaction_feedback_question": "", "satisfaction_feedback_helper_text": "", "satisfaction_feedback_no_action": "ticket_form", "inject_user_ticket_context": false, "ticket_context_days_limit": 7 }
Get an agent by ID.
OK
Full agent response schema for detail views.